#pragma once
#include "basemodule.h"
namespace module
{
	class tencent_cos : public module::base {
	public:
		tencent_cos();
		~tencent_cos() override;
		std::string upfile(const std::string& appid,const std::string& endpoint,const std::string& access_key_id,const std::string& access_key_secret,const std::string& bucket_name,const std::string& object_name,const std::string& filename);

		static void regist(sol::state* lua);
	private:
		// 通过 imodule 继承
		virtual void regist_global(const char* name, sol::state* lua);
		virtual void delete_global() { delete this; }
	};
}

